Bug 251806 - exception while uninstalling xchm on FC7 kde
exception while uninstalling xchm on FC7 kde
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
i386 Linux
low Severity low
: ---
: ---
Assigned To: Patrice Dumas
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-08-11 11:00 EDT by Kharavela
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version: 3.2.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-09-11 17:21:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Kharavela 2007-08-11 11:00:19 EDT
Description of problem:Uninstalling xchm using Add/Remove software on
Fedora7/KDE caused the following error

Component: pirut
Summary: TB27ac5246 <string>:68:__iter__:SyntaxError: unclosed token: line 5692,
column 6

Traceback (most recent call last):
  File "/usr/sbin/pirut", line 356, in _apply
  File "/usr/lib/python2.5/site-packages/pirut/__init__.py", line 226, in reset
  File "/usr/lib/python2.5/site-packages/yum/__init__.py", line 413, in doGroupSetup
    return self._getGroups()
  File "/usr/lib/python2.5/site-packages/yum/__init__.py", line 461, in _getGroups
  File "/usr/lib/python2.5/site-packages/yum/comps.py", line 349, in add
    for event, elem in parser:
  File "<string>", line 68, in __iter__
SyntaxError: unclosed token: line 5692, column 6

Local variables in innermost frame:
b: <TreeBuilder object at 0xa3e2e90>
self: <iterparse object at 0xa82902c>
events: []
p: <XMLParser object at 0xdb960e0>
event: ('end', <Element 'packagereq' at 0xac24e18>)

Version-Release number of selected component (if applicable):

How reproducible: 

Steps to Reproduce:
1.click on Add/Remove software
2.uninstall xchm
Actual results:

Expected results:

Additional info:
Comment 1 Patrice Dumas 2007-08-11 11:40:16 EDT
This doesn't seems like an xchm bug, reassigning to pirut.

Note You need to log in before you can comment on or make changes to this bug.